Debian Bug report logs - #649356
difficult short package description

version graph

Package: devd; Maintainer for devd is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for devd is src:freebsd-utils.

Reported by: Martin Eberhard Schauer <Martin.E.Schauer@gmx.de>

Date: Sun, 20 Nov 2011 10:06:09 UTC

Severity: wishlist

Found in version freebsd-utils/8.2+ds2-10

Fixed in version freebsd-utils/8.2+ds2-12

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-l10n-english@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#649356; Package devd. (Sun, 20 Nov 2011 10:06:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Eberhard Schauer <Martin.E.Schauer@gmx.de>:
New Bug report received and forwarded. Copy sent to debian-l10n-english@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 20 Nov 2011 10:06:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Eberhard Schauer <Martin.E.Schauer@gmx.de>
To: submit@bugs.debian.org
Subject: difficult short package description
Date: Sun, 20 Nov 2011 11:02:54 +0100
Package: devd
Version: 8.2+ds2-10
Severity: wishlist
X-Debbugs-CC: debian-l10n-english@lists.debian.org

Dear Maintainers,
reviewing the German translation of the package description I 
encountered the
comment of the translator that he had difficulties to translate the 
short description (1).
From my point of view the problem are the four nouns without any glue.

Description: Device state change daemon

    Looking just at the caption: Is the daemon in charge of initiating 
device state
    changes or is its task to act upon state changes?

The devd daemon provides a way to have userland programs run when certain
kernel events happen.

   The long description answers this question and raises  new 
questions. What
   would be a good package description? BTW: Although it has bad 
educational
   consequences focusing on common wording - the google fight stats prefer
   user  space to userland.

I would like to suggest a new version, recycling the upstream manpage (2):

Description: Daemon to act upon device state changes
 The devd utility runs actions specified in a configuration file whenever a
 device is added or removed.

Laying back, expecting the improved version from l10n-english ;-)

Kind regards,
    Martin

1: http://ddtp.debian.net/ddt.cgi?desc_id=88695
2: http://www.freebsd.org/cgi/man.cgi?query=devd&sektion=8

IMPLEMENTATION NOTES
     The devd utility is a system daemon that runs in the background 
all the
     time.  Whenever a device is added to or removed from the device tree,
     devd will execute actions specified in devd.conf(5).




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#649356; Package devd. (Sun, 20 Nov 2011 11:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <jbr@edlug.org.uk>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 20 Nov 2011 11:21:04 GMT) Full text and rfc822 format available.

Message #10 received at 649356@bugs.debian.org (full text, mbox):

From: Justin B Rye <jbr@edlug.org.uk>
To: debian-l10n-english@lists.debian.org
Cc: Martin Eberhard Schauer <Martin.E.Schauer@gmx.de>, 649356@bugs.debian.org
Subject: Re: Bug#649356: difficult short package description
Date: Sun, 20 Nov 2011 11:18:33 +0000
Martin Eberhard Schauer wrote:
> Dear Maintainers,
> reviewing the German translation of the package description I encountered the
> comment of the translator that he had difficulties to translate the short description (1).
> From my point of view the problem are the four nouns without any glue.
> 
> Description: Device state change daemon
> 
>     Looking just at the caption: Is the daemon in charge of initiating device state
>     changes or is its task to act upon state changes?

Yes, it's not exactly obvious.  It's a sort of kFreeBSD equivalent of
udev (the "/dev/ and hotplug management daemon"), isn't it?  Oddly
enough adding a noun to the pile can make it clearer: 

  Description: device state change monitoring daemon

(There's no need to capitalise "device".)
 
> The devd daemon provides a way to have userland programs run when certain
> kernel events happen.
> 
>    The long description answers this question and raises  new questions. What
>    would be a good package description? BTW: Although it has bad educational
>    consequences focusing on common wording - the google fight stats prefer
>    user  space to userland.

That'll partly be because "user space" is ambiguous - google fight
can't tell us how many of those people writing that string are
talking about something else such as "diskspace available to users".
(When I google for 'user space', the second hit is using it to mean
a gamespace and the fourth actually says "userspace".)  To avoid
ambiguity it needs at least a hyphen...

But then again given that it's a packaged daemon, already outside
kernelspace, I'm not sure it's worth making much of a fuss about the
fact that the programs devd runs are naturally also in userland.
You'd think if it's going to talk about the kernel/userland
distinction that it would mention that it's specific to the FreeBSD
kernel.  Then again I suppose that can be taken for granted in a
FreeBSD man page.

> I would like to suggest a new version, recycling the upstream manpage (2):
> 
> Description: Daemon to act upon device state changes

Fair enough, though again s/D/d/.

>  The devd utility runs actions specified in a configuration file whenever a
>  device is added or removed.
> 
> Laying back, expecting the improved version from l10n-english ;-)

Short, but it gets the facts across, I suppose.

I wouldn't have called it a utility, even if that does avoid the
redundancy of "the devd daemon".  Maybe it would make sense to start
by fully expanding the name and mentioning that it's associated with
a particular kernel?

  Description: daemon to act upon device state changes
   The FreeBSD device daemon runs actions specified in a configuration
   file whenever a device is added or removed.

(Does this mean we can finally get rid of HAL?  Cue 2001 quote...)
-- 
JBR	with qualifications in linguistics, experience as a Debian
	sysadmin, and probably no clue about this particular package




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#649356; Package devd. (Sun, 20 Nov 2011 11:27:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 20 Nov 2011 11:27:53 GMT) Full text and rfc822 format available.

Message #15 received at 649356@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Justin B Rye <jbr@edlug.org.uk>, 649356@bugs.debian.org, debian-l10n-english@lists.debian.org, Martin Eberhard Schauer <Martin.E.Schauer@gmx.de>
Subject: Re: Bug#649356: difficult short package description
Date: Sun, 20 Nov 2011 12:25:32 +0100
Thanks.  I took the ideas from both mails and made it:

Description: device state change monitoring daemon
 The devd daemon runs actions specified in a configuration file when certain
 kernel events (such as device addition or removal) happen.

will be there in next upload.

-- 
Robert Millan




Added tag(s) pending. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 20 Nov 2011 11:27:56 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Wed, 23 Nov 2011 07:06:08 GMT) Full text and rfc822 format available.

Notification sent to Martin Eberhard Schauer <Martin.E.Schauer@gmx.de>:
Bug acknowledged by developer. (Wed, 23 Nov 2011 07:06:08 GMT) Full text and rfc822 format available.

Message #22 received at 649356-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 649356-close@bugs.debian.org
Subject: Bug#649356: fixed in freebsd-utils 8.2+ds2-12
Date: Wed, 23 Nov 2011 07:02:32 +0000
Source: freebsd-utils
Source-Version: 8.2+ds2-12

We believe that the bug you reported is fixed in the latest version of
freebsd-utils, which is due to be installed in the Debian FTP archive:

devd_8.2+ds2-12_kfreebsd-i386.deb
  to main/f/freebsd-utils/devd_8.2+ds2-12_kfreebsd-i386.deb
freebsd-geom_8.2+ds2-12_kfreebsd-i386.deb
  to main/f/freebsd-utils/freebsd-geom_8.2+ds2-12_kfreebsd-i386.deb
freebsd-net-tools-udeb_8.2+ds2-12_kfreebsd-i386.udeb
  to main/f/freebsd-utils/freebsd-net-tools-udeb_8.2+ds2-12_kfreebsd-i386.udeb
freebsd-net-tools_8.2+ds2-12_kfreebsd-i386.deb
  to main/f/freebsd-utils/freebsd-net-tools_8.2+ds2-12_kfreebsd-i386.deb
freebsd-nfs-common_8.2+ds2-12_kfreebsd-i386.deb
  to main/f/freebsd-utils/freebsd-nfs-common_8.2+ds2-12_kfreebsd-i386.deb
freebsd-nfs-server_8.2+ds2-12_kfreebsd-i386.deb
  to main/f/freebsd-utils/freebsd-nfs-server_8.2+ds2-12_kfreebsd-i386.deb
freebsd-ppp_8.2+ds2-12_kfreebsd-i386.deb
  to main/f/freebsd-utils/freebsd-ppp_8.2+ds2-12_kfreebsd-i386.deb
freebsd-utils-udeb_8.2+ds2-12_kfreebsd-i386.udeb
  to main/f/freebsd-utils/freebsd-utils-udeb_8.2+ds2-12_kfreebsd-i386.udeb
freebsd-utils_8.2+ds2-12.debian.tar.gz
  to main/f/freebsd-utils/freebsd-utils_8.2+ds2-12.debian.tar.gz
freebsd-utils_8.2+ds2-12.dsc
  to main/f/freebsd-utils/freebsd-utils_8.2+ds2-12.dsc
freebsd-utils_8.2+ds2-12_kfreebsd-i386.deb
  to main/f/freebsd-utils/freebsd-utils_8.2+ds2-12_kfreebsd-i386.deb
kbdcontrol-udeb_8.2+ds2-12_kfreebsd-i386.udeb
  to main/f/freebsd-utils/kbdcontrol-udeb_8.2+ds2-12_kfreebsd-i386.udeb
kbdcontrol_8.2+ds2-12_kfreebsd-i386.deb
  to main/f/freebsd-utils/kbdcontrol_8.2+ds2-12_kfreebsd-i386.deb
kldutils-udeb_8.2+ds2-12_kfreebsd-i386.udeb
  to main/f/freebsd-utils/kldutils-udeb_8.2+ds2-12_kfreebsd-i386.udeb
kldutils_8.2+ds2-12_kfreebsd-i386.deb
  to main/f/freebsd-utils/kldutils_8.2+ds2-12_kfreebsd-i386.deb
ktrace_8.2+ds2-12_kfreebsd-i386.deb
  to main/f/freebsd-utils/ktrace_8.2+ds2-12_kfreebsd-i386.deb
pf_8.2+ds2-12_kfreebsd-i386.deb
  to main/f/freebsd-utils/pf_8.2+ds2-12_kfreebsd-i386.deb
vidcontrol_8.2+ds2-12_kfreebsd-i386.deb
  to main/f/freebsd-utils/vidcontrol_8.2+ds2-12_kfreebsd-i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 649356@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated freebsd-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 23 Nov 2011 07:37:43 +0100
Source: freebsd-utils
Binary: freebsd-utils freebsd-utils-udeb kldutils kldutils-udeb kbdcontrol kbdcontrol-udeb vidcontrol freebsd-net-tools freebsd-net-tools-udeb freebsd-nfs-server freebsd-nfs-common freebsd-geom freebsd-ppp devd ktrace pf
Architecture: source kfreebsd-i386
Version: 8.2+ds2-12
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 devd       - device state change monitoring daemon
 freebsd-geom - modular disk I/O request transformation framework
 freebsd-net-tools - FreeBSD networking tools
 freebsd-net-tools-udeb - FreeBSD networking tools (udeb)
 freebsd-nfs-common - NFS support files common to client and server
 freebsd-nfs-server - FreeBSD server utilities needed for NFS on GNU/kFreeBSD
 freebsd-ppp - FreeBSD Point-to-Point Protocol (PPP) userland daemon
 freebsd-utils - FreeBSD utilities needed for GNU/kFreeBSD
 freebsd-utils-udeb - FreeBSD utilities needed for GNU/kFreeBSD (udeb)
 kbdcontrol - command-line tool to change keyboard layout on GNU/kFreeBSD
 kbdcontrol-udeb - command-line tool to change keyboard layout on GNU/kFreeBSD (udeb)
 kldutils   - tools for managing kFreeBSD modules
 kldutils-udeb - tools for managing kFreeBSD modules (udeb)
 ktrace     - A kernel call tracer
 pf         - The OpenBSD Packet Filter
 vidcontrol - command-line tool to control the system console on GNU/kFreeBSD
Closes: 649356 649684
Changes: 
 freebsd-utils (8.2+ds2-12) unstable; urgency=low
 .
   [ Robert Millan ]
   * 044_mount_exec.diff: Fix mount_smbfs execution.
   * Make Description clearer and easier to translate.  (Closes: #649356)
 .
   [ Jonathan Nieder ]
   * pf: Breaks, Replaces freebsd-net-tools versions that provided
     /etc/pf.os, pfctl, and authpf.  (Closes: #649684)
   * pf: Remove Replaces relation against freebsd-utils.
Checksums-Sha1: 
 780770550147a3434c21e8ecd0d45c6e69e64a88 2572 freebsd-utils_8.2+ds2-12.dsc
 dc6347ad429d620a46524a2237dd15d41d4ce67c 157377 freebsd-utils_8.2+ds2-12.debian.tar.gz
 250a6bac9cd3fbb3dcba1ed0f5fee0c03d234172 252076 freebsd-utils_8.2+ds2-12_kfreebsd-i386.deb
 3a3940998f1b5b4e3f46003b1ca2ee913dae8230 14480 freebsd-utils-udeb_8.2+ds2-12_kfreebsd-i386.udeb
 62896310276768f6ef5446ce779538b94da7353c 38284 kldutils_8.2+ds2-12_kfreebsd-i386.deb
 e78a011ce15ea3f96805128ed63d6e8f3a8b7dcd 7038 kldutils-udeb_8.2+ds2-12_kfreebsd-i386.udeb
 ebef7fda38eec39a1313983e8ead32bc355df6c3 124156 kbdcontrol_8.2+ds2-12_kfreebsd-i386.deb
 4d967d136049e007cbeb02835b6c6b148317c065 92412 kbdcontrol-udeb_8.2+ds2-12_kfreebsd-i386.udeb
 fafa3b683cf0b8b422489208ee0ab2340a577e87 120108 vidcontrol_8.2+ds2-12_kfreebsd-i386.deb
 a0670362f912cfcf9c1b74cee051cd987a0fe9a9 212048 freebsd-net-tools_8.2+ds2-12_kfreebsd-i386.deb
 aaa285849d6ef3881ab710df1162bbc805c7d0dd 77762 freebsd-net-tools-udeb_8.2+ds2-12_kfreebsd-i386.udeb
 0b85e6f573f88e87ff1e210c0741ca1c4a6622c8 66096 freebsd-nfs-server_8.2+ds2-12_kfreebsd-i386.deb
 e7a624f0ebce82061cef93034c40c54b577afb60 77106 freebsd-nfs-common_8.2+ds2-12_kfreebsd-i386.deb
 bb6bc1a0b36e8dd380a0a32461d9bf8f8510a144 161124 freebsd-geom_8.2+ds2-12_kfreebsd-i386.deb
 04bce9c702b1c6bf421b8d591be523abe0baa51f 281998 freebsd-ppp_8.2+ds2-12_kfreebsd-i386.deb
 38d06f7bbde12770718c3a614547646ad3add48a 65784 devd_8.2+ds2-12_kfreebsd-i386.deb
 dac1d328328ac5a8f47a53fd809e4b301cf6d703 52514 ktrace_8.2+ds2-12_kfreebsd-i386.deb
 3ec16f32fb85901f044cc4562db8f856bf5c3299 195684 pf_8.2+ds2-12_kfreebsd-i386.deb
Checksums-Sha256: 
 47692ffe5c559bb9e09bfd147d37e06a56d4e4a229efb6010f0184ca2d8ce5c7 2572 freebsd-utils_8.2+ds2-12.dsc
 6b83bcb7e57a15d5f264f27ed44ec65dc94ceaeb4f3510f7b422a94c5f264a8f 157377 freebsd-utils_8.2+ds2-12.debian.tar.gz
 d1a61c6de71eadc23c66399b4ecaa205d05704317c6d78cf3909b7565ec83e70 252076 freebsd-utils_8.2+ds2-12_kfreebsd-i386.deb
 608a0117c88d084a0b64567f2806de1ae758bdae94323b923ff5af8f340f8233 14480 freebsd-utils-udeb_8.2+ds2-12_kfreebsd-i386.udeb
 fa36a79ebd48995308532fdbcd70d2f25464eb0bc056ddbb47fa5097d2ed77e7 38284 kldutils_8.2+ds2-12_kfreebsd-i386.deb
 e1d56da6ed47d0a4100a401531f9c18067cf43435730df751eef2fc04d5c1347 7038 kldutils-udeb_8.2+ds2-12_kfreebsd-i386.udeb
 998526388324ece05cf718ffb3e001f50871b219f1bc0563924fd67ec2e905f0 124156 kbdcontrol_8.2+ds2-12_kfreebsd-i386.deb
 3d44360c6a64b8ede244d0f501a0156dfa578721e50fa00a6c5c360356ccb1eb 92412 kbdcontrol-udeb_8.2+ds2-12_kfreebsd-i386.udeb
 b128eec93ae4ef52570e7eaa25f3ee28f45d48268c2400727d32ebbb3a96dee4 120108 vidcontrol_8.2+ds2-12_kfreebsd-i386.deb
 f1d97d2e73ec376821f5305c81cf8ccfe1c79318e6dcf200259194edf63e5390 212048 freebsd-net-tools_8.2+ds2-12_kfreebsd-i386.deb
 6a1056eef7dff821bd294d011d9fc731b681ceb45a1b86e0b3d7d7bc374ea780 77762 freebsd-net-tools-udeb_8.2+ds2-12_kfreebsd-i386.udeb
 c96284de1bf30898207f6db3bb4edc7c20cced7b88663172d70f541e81e5cb51 66096 freebsd-nfs-server_8.2+ds2-12_kfreebsd-i386.deb
 c3c86f208119f3a52413fee252b7d72526b997dd7aabd21286cd9ee80476d920 77106 freebsd-nfs-common_8.2+ds2-12_kfreebsd-i386.deb
 634975c29961bd0b6ff1fa3a086092cdc1efc0d27ddc8fbeec84cceabdc652d2 161124 freebsd-geom_8.2+ds2-12_kfreebsd-i386.deb
 55cdc9ebf94ea3303d27a5baba1ff0c14fc815b5e2eadda10e7d742add93370c 281998 freebsd-ppp_8.2+ds2-12_kfreebsd-i386.deb
 06f299ac385ece82e9d2dd578f58748e60e1e5bf0102c82e5e7ee41bddb24591 65784 devd_8.2+ds2-12_kfreebsd-i386.deb
 d54fa0918a1364bed6c7037b8bfbe66a9964ded56991399da71b4ea571f0a4f6 52514 ktrace_8.2+ds2-12_kfreebsd-i386.deb
 4fbfe752c5099817a2a92a9ed5971caed598aac9b027f58c6357b4f682b6cef9 195684 pf_8.2+ds2-12_kfreebsd-i386.deb
Files: 
 6fe96acc05c482a95f8feca68c8b645b 2572 utils important freebsd-utils_8.2+ds2-12.dsc
 811335458f1c71aac63d50b291149ef3 157377 utils important freebsd-utils_8.2+ds2-12.debian.tar.gz
 86422a4031c95665727fc0e0e9dbcb06 252076 utils required freebsd-utils_8.2+ds2-12_kfreebsd-i386.deb
 33d4548a0c91a9b5b5c28896989e6562 14480 debian-installer optional freebsd-utils-udeb_8.2+ds2-12_kfreebsd-i386.udeb
 4486cb16c310d1735d5d91d7bb104bf2 38284 utils important kldutils_8.2+ds2-12_kfreebsd-i386.deb
 10e513243d56811f6eaa2fdefbc6c1f6 7038 debian-installer optional kldutils-udeb_8.2+ds2-12_kfreebsd-i386.udeb
 4101374831c6cfa9a3463fc57431fdf2 124156 utils important kbdcontrol_8.2+ds2-12_kfreebsd-i386.deb
 9fc0d18f1c454077fac7ffe91820486d 92412 debian-installer important kbdcontrol-udeb_8.2+ds2-12_kfreebsd-i386.udeb
 4a3df76c912e0138082a0ab446dcba8f 120108 utils important vidcontrol_8.2+ds2-12_kfreebsd-i386.deb
 b3612f92f7e2dca584e3746b4b1571b9 212048 net important freebsd-net-tools_8.2+ds2-12_kfreebsd-i386.deb
 6dd5995ea596ee67e89016cae0edc93e 77762 debian-installer important freebsd-net-tools-udeb_8.2+ds2-12_kfreebsd-i386.udeb
 ec21efb9d44b1771d7456da8481ffe09 66096 net optional freebsd-nfs-server_8.2+ds2-12_kfreebsd-i386.deb
 41d3b291bffe3b4fa531f84cdd0d4673 77106 net standard freebsd-nfs-common_8.2+ds2-12_kfreebsd-i386.deb
 500573c65fbec6e9d07b9172cf528fce 161124 admin standard freebsd-geom_8.2+ds2-12_kfreebsd-i386.deb
 1f5d4ae51d605883fe6f3af34695e98a 281998 net optional freebsd-ppp_8.2+ds2-12_kfreebsd-i386.deb
 10ce1d400519982d2a7229212a102462 65784 admin important devd_8.2+ds2-12_kfreebsd-i386.deb
 350b386770b24e82966f6839a956bc54 52514 utils optional ktrace_8.2+ds2-12_kfreebsd-i386.deb
 d30c648c1515cac31535d8247b5c3033 195684 net important pf_8.2+ds2-12_kfreebsd-i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk7MlfgACgkQC19io6rUCv8ujQCggVFMUaOLhpoBtHWz6sPGtI2f
hnkAnjgBoA/hV8m2E8++LlW865E4EMW6
=2Qtm
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 31 Dec 2011 07:37:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:07:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.